PlayerCc::Graphics2dProxy Class Reference
Proxies

The `Graphics2dProxy` class is used to draw simple graphics into a rendering device provided by Player using the graphics2d interface. More...

`#include <playerc++.h>`

Inheritance diagram for PlayerCc::Graphics2dProxy:

## Public Member Functions

| Graphics2dProxy (PlayerClient *aPc, uint32_t aIndex=0)
void | Color (player_color_t col)
| Set the current pen color.
void | Color (uint8_t red, uint8_t green, uint8_t blue, uint8_t alpha)
| Set the current pen color.
void | Clear (void)
| Clear the drawing area.
void | DrawPoints (player_point_2d_t pts[], int count)
| Draw a set of points.
void | DrawPolygon (player_point_2d_t pts[], int count, bool filled, player_color_t fill_color)
| Draw a polygon defined by a set of points.
void | DrawPolyline (player_point_2d_t pts[], int count)
| Draw a line connecting set of points.
Public Member Functions inherited from PlayerCc::ClientProxy
bool | IsValid () const
| Returns true if we have received any data from the device.
bool | IsFresh () const
| Fresh is set to true on each new read. More...
void | NotFresh ()
| This states that the data in a client is currently not Fresh.
std::string | GetDriverName () const
| Returns the driver name. More...
double | GetDataTime () const
| Returns the received timestamp [s].
double | GetElapsedTime () const
| Returns the received timestamp [s].
PlayerClient * | GetPlayerClient () const
| Returns a pointer to the Player Client.
uint32_t | GetIndex () const
| Returns device index.
uint32_t | GetInterface () const
| Returns device interface.
std::string | GetInterfaceStr () const
| Returns device interface.
void | SetReplaceRule (bool aReplace, int aType=-1, int aSubtype=-1)
| Set a replace rule for this proxy on the server. More...
int | HasCapability (uint32_t aType, uint32_t aSubtype)
| Request capabilities of device. More...
int | GetBoolProp (char *aProperty, bool *aValue)
| Request a boolean property.
int | SetBoolProp (char *aProperty, bool aValue)
| Set a boolean property.
int | GetIntProp (char *aProperty, int32_t *aValue)
| Request an integer property.
int | SetIntProp (char *aProperty, int32_t aValue)
| Set an integer property.
int | GetDblProp (char *aProperty, double *aValue)
| Request a double property.
int | SetDblProp (char *aProperty, double aValue)
| Set a double property.
int | GetStrProp (char *aProperty, char **aValue)
| Request a string property.
int | SetStrProp (char *aProperty, char *aValue)
| Set a string property.
template<typename T >
connection_t | ConnectReadSignal (T aSubscriber)
| Connect a signal to this proxy For more information check out Signals & multithreading.
void | DisconnectReadSignal (connection_t aSubscriber)
| Disconnect a signal to this proxy.

## Private Member Functions

void | Subscribe (uint32_t aIndex)
void | Unsubscribe ()

## Private Attributes

playerc_graphics2d_t * | mDevice

## Additional Inherited Members

Public Types inherited from PlayerCc::ClientProxy
typedef int | connection_t
typedef boost::mutex::scoped_lock | scoped_lock_t
typedef int | read_signal_t
Protected Member Functions inherited from PlayerCc::ClientProxy
| ClientProxy (PlayerClient *aPc, uint32_t aIndex)
template<typename T >
T | GetVar (const T &aV) const
template<typename T >
void | GetVarByRef (const T aBegin, const T aEnd, T aDest) const
Protected Attributes inherited from PlayerCc::ClientProxy
PlayerClient * | mPc
playerc_client_t * | mClient
playerc_device_t * | mInfo
bool | mFresh

## Detailed Description

The `Graphics2dProxy` class is used to draw simple graphics into a rendering device provided by Player using the graphics2d interface.

For example, the Stage plugin implements this interface so you can draw into the Stage window. This is very useful to visualize what's going on in your controller.

The documentation for this class was generated from the following file:

- playerc++.h

Last updated 12 September 2005 21:38:45